<?php 
	const DB_Name = "wardropes_usw";

	$title = "Init shirts person, in: ".DB_Name; 
?>
<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title> <?php echo $title; ?> </title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php
	echo '<b>'.$title.'</b>';
	require("functions.php");
	
	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', 'shirts_und_mehr' );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		
	// die eigentliche Queries
	
	$sql = "SHOW TABLES LIKE 'person'";
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	$recCount = $sql_r->num_rows; 
	echo "<br>\$recCount $recCount <br>";
	if (!$recCount)
	{	
		// es ist noch keine Tabelle angelegt
		$sql  = "CREATE TABLE person \n"
		      . "(\n\t id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT, \n"
		      . "\t name CHAR(60) NOT NULL UNIQUE, \n"
		      . "PRIMARY KEY (id)\n); ";
		$sql_r = $conn->query($sql); 
		if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	
	
	}
	
	$sql = "SHOW TABLES LIKE 'Shirt'";
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	$recCount = $sql_r->num_rows; 
	echo "<br>\$recCount $recCount <br>";
	if (!$recCount)
	{	
	
		$sql  = "CREATE TABLE Shirt \n(\n"
		      . "\t id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT, \n"
		      . "\t style ENUM('t-Shirt', 'polo', 'dress') NOT NULL, \n"
		      . "\t color ENUM('red', 'blue', 'orange', 'white', 'black') NOT NULL, \n"
		      . "\t owner SMALLINT UNSIGNED NOT NULL , \n"
			  . "\t UNIQUE  (style, color, owner) , \n"
			  . "\t FOREIGN KEY (owner) REFERENCES person(id) ON DELETE CASCADE ON update CASCADE , \n"
			  . "\t PRIMARY KEY (id) \n); \n";
		$sql_r = $conn->query($sql); 
		if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	}
			
		
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();

?>

 </body>
</html>